var Player = function(number, data){
	this.number = number;
	this.gameDataCopy = data;
	this.score = 0;
	this.perQuestionScore = [];
	this.questionNumber = 0;
}

Player.prototype.removeQuestion = function(){
	this.gameDataCopy.splice(0, 1);
}

//Devuelve todos los scores para cada pregunta
Player.prototype.getScoresAll = function(){
	return this.perQuestionScore;
}

// Clear question scores and reset question counter
Player.prototype.clearQuestionScores = function(){
	for(i = 0; i < this.perQuestionScore.length; i++) {
		this.perQuestionScore[i] = 0;
	}
	
	this.questionNumber = 0;
}

//Devuelve los scores del player respectivos a cada ronda
Player.prototype.getScoresOrderedByRound = function(){
	this.perQuestionScore.length / 3
	var i = 0;
	var r = 1;
	var result = {};
	for(s in this.perQuestionScore){
		if(i == 0){
			result[r] = [];
		}
		i++;
		
		result[r].push(this.perQuestionScore[s]);
		if(i == 3){
			i = 0;
			r++;
		}
	}
	return result;
}

//Devuelve los scores del numero de ronda que se pasa como parametro
Player.prototype.getScoreByRound = function(round){
	var scores = this.getScoresOrderedByRound();
	return scores[round];
}