var Counter = function(options){
		this.currentTime = 0;
		this.startTime = 0;
		this.stoped = false;
		this.pauseLapse = 0;
		this.paused = false;
		this.options = options;
		this.outputTime = 0;
	}

	//options onCount, onEndTime, timeLimit, reverse = false;
	Counter.prototype.start = function(){
		this.stoped = false;
		this.paused = false;
		this.startTime = new Date().valueOf();
		var self = this;
		var intervalId = setInterval(function () {
	    	if(!self.stoped && !self.paused){
	    		
	    		self.currentTime += 0.1
	    		if(self.options.reverse){
	    			self.outputTime = (self.options.timeLimit - self.currentTime).toFixed(1)
	    		}else{
	    			self.outputTime = self.currentTime;
	    		}
	    		
				if(self.options.timeLimit - self.currentTime <= 0){
	    			self.options.onEndTime();
	    			self.onTimeOut();
	    		}

	    		self.options.onCount(self.outputTime);
	    	}else if(self.stoped){
	    		clearInterval(intervalId); 
	    	}
	    }, 100);
	}

	Counter.prototype.pause = function(){
		this.paused = true;
		return this.outputTime;
	}

	Counter.prototype.resume = function(){
		if(!this.stoped && this.paused){
			//this.pauseLapse = this.trackDate - new Date().valueOf();
			//console.log(this.pauseLapse)
		}else{
			this.stoped = false;	
		}
		
		this.paused = false;
	}

	Counter.prototype.stop = function(){
		this.stoped = true;
		var timeCopy =  Number(this.outputTime);
		this.currentTime = 0;
		this.outputTime = 0;
		return timeCopy;
	}

	Counter.prototype.restart = function(){
		this.stoped = false;
		this.currentTime = 0;
	}

	Counter.prototype.onTimeOut = function(){
		this.stop();
	}